Method: projects.locations.discoveredRanges.showUtilization

Gets the details of a single DiscoveredRange and its utilization.

HTTP request

GET https://cloudnumberregistry.googleapis.com/v1alpha/{name=projects/*/locations/*/discoveredRanges/*}:showUtilization

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the DiscoveredRange.

Request body

The request body must be empty.

Response body

Response message for the CloudNumberRegistry.ShowDiscoveredRangeUtilization method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "discoveredRange": {
    object (DiscoveredRange)
  },
  "rangeUtilization": {
    object (RangeUtilization)
  }
}
Fields
discoveredRange

object (DiscoveredRange)

The DiscoveredRange resource.

rangeUtilization

object (RangeUtilization)

The utilization details of the DiscoveredRange.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • cloudnumberregistry.discoveredRanges.get

For more information, see the IAM documentation.